// Copyright (C) 2017 Internet Systems Consortium, Inc. ("ISC")
//
// This Source Code Form is subject to the terms of the End User License
// Agreement. See COPYING file in the premium/ directory.

#ifndef FLEX_ID_H
#define FLEX_ID_H

#include <log/message_initializer.h>
#include <log/macros.h>
#include <flex_id_messages.h>

namespace isc {
namespace flex_id {

/// @brief Stores expression
///
/// @param expr Expression in textual form.
/// @param apply_to_leases Indicates if flexible identifier should be used to
/// replace client supplied client identifier or DUID.
void storeConfiguration(const std::string& expr, const bool apply_to_leases);

/// @brief Clears stored configuration.
///
/// This is mostly useful between tests.
void clearConfiguration();

} // end of namespace flex_id
} // end of namespace isc

#endif // FLEX_ID_H
